export declare enum PCMutationActionKind {
    ANNOTATIONS_CHANGED = "ANNOTATIONS_CHANGED",
    EXPRESSION_DELETED = "EXPRESSION_DELETED",
    CSS_DECLARATION_CHANGED = "CSS_DECLARATION_CHANGED"
}
declare type BaseAction<TKind extends PCMutationActionKind> = {
    kind: TKind;
};
export declare type AnnotationsChanged = {
    annotations?: Record<string, any>;
} & BaseAction<PCMutationActionKind.ANNOTATIONS_CHANGED>;
export declare type CSSDeclarationChanged = {
    name: string;
    value: string;
} & BaseAction<PCMutationActionKind.CSS_DECLARATION_CHANGED>;
export declare type ExpressionDeleted = {} & BaseAction<PCMutationActionKind.EXPRESSION_DELETED>;
export declare type PCMutationAction = AnnotationsChanged | ExpressionDeleted | CSSDeclarationChanged;
export declare type PCMutation = {
    targetId: string;
    action: PCMutationAction;
};
export {};
